package QEMU::Manager::Device::HardDrive;


use strict;
use warnings;

use base qw(QEMU::Manager::Device::Disk);

use Net::DBus::Exporter qw(com.redhat.qemu.manager.device.HardDrive);


dbus_method("get_channel", [], ["string"]);
sub get_channel {
    my $self = shift;
    return $self->get_config("channel", "a");
}


dbus_method("set_channel", ["string", "caller"]);
sub set_channel {
    my $self = shift;
    my $channel = shift;
    my $caller = shift;
    die "unsupported channel '$channel'"
	unless $channel =~ /^(a|b|c|d)$/;
    $self->set_config("channel", $channel, $caller);
}


sub get_command_line_args {
    my $self = shift;
    return "-hd" . $self->get_channel, $self->get_image;
}

1;
