package QEMU::Manager::Device::ParallelPort;


use strict;
use warnings;

use base qw(QEMU::Manager::Device);

use Net::DBus::Exporter qw(com.redhat.qemu.manager.device.ParallelPort);

dbus_method("get_destination", [], ["string"]);
sub get_destination {
    my $self = shift;
    return $self->get_config("destination", "vc");
}

dbus_method("set_destination", ["string", "caller"]);
sub set_destination {
    my $self = shift;
    my $dest = shift;
    my $caller = shift;
    $self->set_config("destination", $dest, $caller);
}


sub get_command_line_args {
    my $self = shift;
    return "-parallel", $self->get_destination;
}



1;
